<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class KennzAd extends Datamodul
{
  
  public $nr;
  
  public $typ;

  
  public $kennz;
  
  public $text;
  
  public $bearbeiter;
  
  public $bearbdatum;
  
  public $nr_int;

  
  public function setValue2Var($var, $val)
  {
    switch ($var) {  default: $this->{$var} = $val; break;  }
  }

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
    case 'bearbdatum':
        return \DatamodulVarType::TYPE_DATE;
    case 'kennz':
    
    case 'nr_int':
      return \DatamodulVarType::TYPE_INT;
    }
  }

  
}